@import "fonts-Assistant.css";

:root {
    --color-main: #002C51; /* Color principal */
    --color-sec-text: #20B9FF; /* Color para textos */
    --color-sec-bg: #EEF8FF; /* Color para fondo*/
    --color-ter-bg: #F3F6FC; /* Color para fondo*/
    --color-dark:#262626; /*oscuro de textos  */
    --font-main: 'Assistant', sans-serif;
}


body {
    font-family: var(--font-main);
    margin: 0;
}
.navbar{
    background-color: #FFFFFF;
}
.nav-link{
    font-weight: 600;
    font-size: 18px;

}
nav{
    padding: 20px;
}
.navbar-toggler {
    border: none !important;
    box-shadow: none !important;
}

.navbar-toggler:focus {
    outline: none;
    box-shadow: none;
}
.hero {
    background-image: url('../img/img_nomina.png');
    background-size: cover;
    min-height: 100vh;
    padding: 20px;
}
.hero-title {
    color: var(--color-sec-text);
    font-size: 18px;
    font-weight: 600;
}
.hero-text {
    color: var(--color-sec-bg);
    font-size: 42px;
    font-weight: 700;
    line-height: 1.2;
    width: 45%;
}
.btn:active,
.btn:focus {
    background-color: var(--color-sec-text) !important;
    border: none !important;
    color: #FFFFFF !important;
}
.btn-hero{
    background-color: var(--color-sec-text);
    color: #FFFFFF;
    font-weight: 600;
    border-radius: 1.8rem;
    font-size: 19px;
    font-weight: 600;
}
.btn-hero-1{
    border-radius: .8rem;
}
.btn-hero:hover{
    background-color: var(--color-sec-text);
    color: #FFFFFF;
    border: 2px solid var(--color-sec-text);
}
section{
    background-color: var(--color-sec-bg);
    padding:4rem 6rem;
}
.container-section{
    background-color: #FFFFFF;
    padding: 20px;
}
.container-section-text h2{
    font-size: 30px;
    color: var(--color-sec-text);
    font-weight: 700;
}
.container-section-text p{
    font-size: 20px;
    color: var(--color-main);
    font-weight: 600;
}
.container-detalles-text p{
    font-size: 22px;
    color: #004B83;
    font-weight: 400;
}
.container-detalles-text span{
    font-weight: 700;
}
.container-detalles-text-2 p{
    font-size: 22px;
    color: #000000;
    font-weight: 400;
}
.container-detalles-text-2 span{
    font-weight: 700;
}

/* Beneficios Styles */
.container-beneficios{
    margin-top:  5rem;
}
.container-beneficios-title{
    font-size: 38px;
    font-weight: 700;
    color: #007FDF;
}
.container-faqs-title{
    color: #004B83;
}
.container-beneficios-text{
    font-size: 22px;
    font-weight: 700;
    color: #EA7F16;
}
.container-beneficios-cards{
    margin: 6rem 6rem 2rem 6rem;
}
.card{
    height: 400px;
}
.card-title{
    font-size: 20px;
    font-weight: 700;
    color: #203B5A;
    margin-bottom: 1rem !important;
    text-align: left;
}
.card-text{
    font-size: 18px;
    font-weight: 400;
    color: #0064B4;
    text-align: left;
    margin-bottom: 1rem;
}

.container-detalles {
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 6rem;
    background-color: var(--color-sec-bg);
    padding: 5rem 8rem;
    padding-top: 0rem;
}

.btn-close {
    background-image: url('../img/icons/close.png') !important;
    max-width: 35px;
    top: -17px !important;
    right: -17px !important;
}

.cobertura-content{
    margin-top: 10rem;
}
.cobertura-content-titulo h2{
    font-size: 18px;
    color: #EA7F16;
    font-weight: 700;
}
.cobertura-content-titulo p{
    font-size: 22px;
    color: #007FDF;
    font-weight: 700;
    background-color: #DCF1FF;
    display: inline-block;
    padding: .8rem;
}
.cobertura-content-text{
    color: #004B83;
    font-size: 18px;
    font-weight: 400;
    line-height: 1.5;
}
.cobertura-content-text span{
    font-weight: 700;
}
.folium-map-text{
    font-size: 12px;
    font-weight: 400;
    color: #498DCB;
}
.folium-map-text span{
    color: #FF1B44;
}

/* FAQ Styles */
.container-faqs{
    margin-top:  5rem;
    padding: 4rem 6rem;
    background-color: #FFFFFF;
}
.pregunta {
    position: relative;
    padding-left: 15px;
}

.pregunta::before {
    content: "";
    position: absolute;
    left: 0;
    top: 5px;
    height: 90%;
    width: 4px;
    background-color: #004B83;
}
.bg-pregunta{
    background-color: #E6EEF8;
    color: #004B83;
    padding: 1rem 2rem;
    border-radius: .4rem;
    font-size: 18px;
    font-weight: 700;
    margin: 0rem !important;
}
.bg-respuesta{
    background-color: #F3F6FC;
    color: #004B83;
    padding: 1rem 2rem;
    border-radius: .4rem;
    font-size: 18px;
    font-weight: 400;
}
.bg-respuesta p{

    margin: 0rem !important;
}
/* Footer Styles */
footer{
    background-color: var(--color-main);
}
.footer-container{
    padding: 1.5rem 5rem;
    background-color: var(--color-ter-bg);
}
.footer-container h3{
    text-align: center;
    color: #003746;
    font-size: 18px;
    font-weight: 400;
}
.footer-container h3 span{
    color: var(--color-sec-text);
    font-weight: 700;
}
.footer-container p{
    text-align: justify;
    color: #004B83;
    font-size: 16px;
    font-weight: 400;
    line-height: 1.1;
}
.text-footer{
    color: var(--color-sec-bg);
    font-size: 18px;
    font-weight: 400;
    padding: 0% 20px;
}
.container-aviso{
    background-color: #FFFFFF;
    padding: 4rem 6rem;
}
.container-aviso h2{
    font-size: 30px;
    font-weight: 700;
    color: #004B83;
}
.container-aviso-text{
    font-size: 20px;
    font-weight: 400;
    color: #004B83;
    text-align: left;
    line-height: 1.5;
}
.container-aviso span{
    font-size: 20px;
    font-weight: 700;
    color: #004B83;
}
.container-aviso-links{
    font-size: 20px;
    color: #00A0FF;
    text-decoration: underline;
}
.text-decoration-underline{
    color: #004B83 !important;
}
@media (max-width: 768px) {
    
    .navbar {
        position: relative !important;
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
        border-radius: 0rem !important;
    }
    .navbar-nav{
        padding-left: 10px;
        padding-top: 10px;
    }

    .navbar-collapse {
        position: absolute;
        top: 100%;
        right: 0;
        width: 250px;
        z-index: 999;
    }

    .hero {
        background-image: url('../img/img_nomina_mobile.png');
        background-size: cover;
        min-height: 80vh;
        align-items: end !important;
        padding: 0px;
    }

    .hero-container {
        position: relative;
        background: linear-gradient(
            188.73deg,
            rgba(42, 40, 40, 0) 0%,
            rgba(42, 40, 40, 0.1) 20%,
            rgba(42, 40, 40, 0.3) 40%,
            rgba(42, 40, 40, 0.5) 60%,
            rgba(42, 40, 40, 0.7) 80%,
            rgba(42, 40, 40, 0.85) 100%
        );
        padding: 20px;
        margin-top: 0px !important;
    }
    .hero-title {
        font-size: 20px;
        font-weight: 700;
    }
    .hero-text {
        color: var(--color-sec-bg);
        font-size: 34px;
        font-weight: 700;
        line-height: 1.2;
        width: 75%;
    }
    section{
        padding:1rem 2rem;
    }
    .container-section{
        background-color: #FFFFFF;
        padding: 20px;
    }
    .card{
        height: 400px;
    }
    .container-beneficios{
        margin-top: 1rem;
    }
    .container-beneficios-title{
        font-size: 26px;
    }
    .container-beneficios-text{
        font-size: 18px;
    }
    .container-beneficios-cards{
        margin: 1rem 1rem;
    }

    .container-detalles {
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 5rem 1.8rem;
        gap: 4rem;
    }
    .container-detalles-text p{
        font-size: 14px;
    }
    .container-detalles-text-2 p{
        font-size: 14px;
    }

    .cobertura-content{
        margin-top: 2rem;
    }

    .container-faqs{
        margin-top:  3rem;
        padding: 2rem;
        background-color: #FFFFFF;
    }

    /* Footer */
    .footer-container{
        padding: 1.5rem;
    }
    .container-aviso{
        background-color: #FFFFFF;
        padding: 1rem;
    }
    .container-aviso h2{
        font-size: 26px;
        font-weight: 700;
        color: #004B83;
    }
    .container-aviso-text,
    .container-aviso span,
    .container-aviso-links{
        font-size: 16px;
    }
    .modal-dialog{
        margin: 2rem;
        margin-top: 5rem;
    }

}

@media (min-width: 992px) {
    .navbar {
        top: 20px;
        left: 20px;
        right: 30px;
        width: auto !important;
        z-index: 1000;
    }
}
@media (min-width: 768px) and (max-width:  1199.98px) {
    .card{
        height: 500px;
    }
    .container-beneficios-cards{
        margin: 1rem 3rem;
    }
}
@media (width:1024px) {
    .hero{
        background-position: 68% 30%;
    }
    
}